// **********************************************************************
//
// Copyright (c) 2003-2013 ZeroC, Inc. All rights reserved.
//
// This copy of Ice is licensed to you under the terms described in the
// ICE_LICENSE file included in this distribution.
//
// **********************************************************************
//
// Ice version 3.5.1
//
// <auto-generated>
//
// Generated from file `FileParser.ice'
//
// Warning: do not edit this file.
//
// </auto-generated>
//

#ifndef __IceGrid_FileParser_h__
#define __IceGrid_FileParser_h__

#include <Ice/ProxyF.h>
#include <Ice/ObjectF.h>
#include <Ice/Exception.h>
#include <Ice/LocalObject.h>
#include <Ice/StreamHelpers.h>
#include <Ice/Proxy.h>
#include <Ice/Object.h>
#include <Ice/Outgoing.h>
#include <Ice/OutgoingAsync.h>
#include <Ice/Incoming.h>
#include <Ice/IncomingAsync.h>
#include <Ice/Direct.h>
#include <Ice/FactoryTableInit.h>
#include <IceUtil/ScopedArray.h>
#include <IceUtil/Optional.h>
#include <Ice/StreamF.h>
#include <Ice/SlicedDataF.h>
#include <IceGrid/Admin.h>
#include <Ice/UndefSysMacros.h>

#ifndef ICE_IGNORE_VERSION
#   if ICE_INT_VERSION / 100 != 305
#       error Ice version mismatch!
#   endif
#   if ICE_INT_VERSION % 100 > 50
#       error Beta header file detected
#   endif
#   if ICE_INT_VERSION % 100 < 1
#       error Ice patch level mismatch!
#   endif
#endif

#ifndef ICE_GRID_API
#   ifdef ICE_GRID_API_EXPORTS
#       define ICE_GRID_API ICE_DECLSPEC_EXPORT
#   else
#       define ICE_GRID_API ICE_DECLSPEC_IMPORT
#   endif
#endif

namespace IceProxy
{

namespace IceGrid
{

class FileParser;
ICE_GRID_API void __read(::IceInternal::BasicStream*, ::IceInternal::ProxyHandle< ::IceProxy::IceGrid::FileParser>&);
ICE_GRID_API ::IceProxy::Ice::Object* upCast(::IceProxy::IceGrid::FileParser*);

}

}

namespace IceGrid
{

class FileParser;
bool operator==(const FileParser&, const FileParser&);
bool operator<(const FileParser&, const FileParser&);
ICE_GRID_API ::Ice::Object* upCast(::IceGrid::FileParser*);
typedef ::IceInternal::Handle< ::IceGrid::FileParser> FileParserPtr;
typedef ::IceInternal::ProxyHandle< ::IceProxy::IceGrid::FileParser> FileParserPrx;
ICE_GRID_API void __patch(FileParserPtr&, const ::Ice::ObjectPtr&);

}

namespace IceGrid
{

class ICE_GRID_API ParseException : public ::Ice::UserException
{
public:

    ParseException() {}
    explicit ParseException(const ::std::string&);
    virtual ~ParseException() throw();

    virtual ::std::string ice_name() const;
    virtual ParseException* ice_clone() const;
    virtual void ice_throw() const;

    ::std::string reason;

protected:
    virtual void __writeImpl(::IceInternal::BasicStream*) const;
    virtual void __readImpl(::IceInternal::BasicStream*);
    #ifdef __SUNPRO_CC
    using ::Ice::UserException::__writeImpl;
    using ::Ice::UserException::__readImpl;
    #endif
};

static ParseException __ParseException_init;

}

namespace Ice
{
template<>
struct StreamableTraits< ::IceGrid::ParseException>
{
    static const StreamHelperCategory helper = StreamHelperCategoryUserException;
};

}

namespace IceAsync
{

}

namespace IceGrid
{

class Callback_FileParser_parse_Base : virtual public ::IceInternal::CallbackBase { };
typedef ::IceUtil::Handle< Callback_FileParser_parse_Base> Callback_FileParser_parsePtr;

}

namespace IceProxy
{

namespace IceGrid
{

class FileParser : virtual public ::IceProxy::Ice::Object
{
public:

    ::IceGrid::ApplicationDescriptor parse(const ::std::string& xmlFile, const ::IceGrid::AdminPrx& adminProxy)
    {
        return parse(xmlFile, adminProxy, 0);
    }
    ::IceGrid::ApplicationDescriptor parse(const ::std::string& xmlFile, const ::IceGrid::AdminPrx& adminProxy, const ::Ice::Context& __ctx)
    {
        return parse(xmlFile, adminProxy, &__ctx);
    }
#ifdef ICE_CPP11
    ::Ice::AsyncResultPtr
    begin_parse(const ::std::string& xmlFile, const ::IceGrid::AdminPrx& adminProxy, const ::IceInternal::Function<void (const ::IceGrid::ApplicationDescriptor&)>& __response, const ::IceInternal::Function<void (const ::Ice::Exception&)>& __exception = ::IceInternal::Function<void (const ::Ice::Exception&)>(), const ::IceInternal::Function<void (bool)>& __sent = ::IceInternal::Function<void (bool)>())
    {
        return __begin_parse(xmlFile, adminProxy, 0, __response, __exception, __sent);
    }
    ::Ice::AsyncResultPtr
    begin_parse(const ::std::string& xmlFile, const ::IceGrid::AdminPrx& adminProxy, const ::IceInternal::Function<void (const ::Ice::AsyncResultPtr&)>& __completed, const ::IceInternal::Function<void (const ::Ice::AsyncResultPtr&)>& __sent = ::IceInternal::Function<void (const ::Ice::AsyncResultPtr&)>())
    {
        return begin_parse(xmlFile, adminProxy, 0, ::Ice::newCallback(__completed, __sent), 0);
    }
    ::Ice::AsyncResultPtr
    begin_parse(const ::std::string& xmlFile, const ::IceGrid::AdminPrx& adminProxy, const ::Ice::Context& __ctx, const ::IceInternal::Function<void (const ::IceGrid::ApplicationDescriptor&)>& __response, const ::IceInternal::Function<void (const ::Ice::Exception&)>& __exception = ::IceInternal::Function<void (const ::Ice::Exception&)>(), const ::IceInternal::Function<void (bool)>& __sent = ::IceInternal::Function<void (bool)>())
    {
        return __begin_parse(xmlFile, adminProxy, &__ctx, __response, __exception, __sent);
    }
    ::Ice::AsyncResultPtr
    begin_parse(const ::std::string& xmlFile, const ::IceGrid::AdminPrx& adminProxy, const ::Ice::Context& __ctx, const ::IceInternal::Function<void (const ::Ice::AsyncResultPtr&)>& __completed, const ::IceInternal::Function<void (const ::Ice::AsyncResultPtr&)>& __sent = ::IceInternal::Function<void (const ::Ice::AsyncResultPtr&)>())
    {
        return begin_parse(xmlFile, adminProxy, &__ctx, ::Ice::newCallback(__completed, __sent));
    }
    
private:

    ::Ice::AsyncResultPtr __begin_parse(const ::std::string& xmlFile, const ::IceGrid::AdminPrx& adminProxy, const ::Ice::Context* __ctx, const ::IceInternal::Function<void (const ::IceGrid::ApplicationDescriptor&)>& __response, const ::IceInternal::Function<void (const ::Ice::Exception&)>& __exception, const ::IceInternal::Function<void (bool)>& __sent)
    {
        class Cpp11CB : public ::IceInternal::Cpp11FnCallbackNC
        {
        public:

            Cpp11CB(const ::std::function<void (const ::IceGrid::ApplicationDescriptor&)>& responseFunc, const ::std::function<void (const ::Ice::Exception&)>& exceptionFunc, const ::std::function<void (bool)>& sentFunc) :
                ::IceInternal::Cpp11FnCallbackNC(exceptionFunc, sentFunc),
                _response(responseFunc)
            {
                CallbackBase::checkCallback(true, responseFunc || exceptionFunc != nullptr);
            }

            virtual void __completed(const ::Ice::AsyncResultPtr& __result) const
            {
                ::IceGrid::FileParserPrx __proxy = ::IceGrid::FileParserPrx::uncheckedCast(__result->getProxy());
                ::IceGrid::ApplicationDescriptor __ret;
                try
                {
                    __ret = __proxy->end_parse(__result);
                }
                catch(::Ice::Exception& ex)
                {
                    Cpp11FnCallbackNC::__exception(__result, ex);
                    return;
                }
                if(_response != nullptr)
                {
                    _response(__ret);
                }
            }
        
        private:
            
            ::std::function<void (const ::IceGrid::ApplicationDescriptor&)> _response;
        };
        return begin_parse(xmlFile, adminProxy, __ctx, new Cpp11CB(__response, __exception, __sent));
    }
    
public:
#endif

    ::Ice::AsyncResultPtr begin_parse(const ::std::string& xmlFile, const ::IceGrid::AdminPrx& adminProxy)
    {
        return begin_parse(xmlFile, adminProxy, 0, ::IceInternal::__dummyCallback, 0);
    }

    ::Ice::AsyncResultPtr begin_parse(const ::std::string& xmlFile, const ::IceGrid::AdminPrx& adminProxy, const ::Ice::Context& __ctx)
    {
        return begin_parse(xmlFile, adminProxy, &__ctx, ::IceInternal::__dummyCallback, 0);
    }

    ::Ice::AsyncResultPtr begin_parse(const ::std::string& xmlFile, const ::IceGrid::AdminPrx& adminProxy, const ::Ice::CallbackPtr& __del, const ::Ice::LocalObjectPtr& __cookie = 0)
    {
        return begin_parse(xmlFile, adminProxy, 0, __del, __cookie);
    }

    ::Ice::AsyncResultPtr begin_parse(const ::std::string& xmlFile, const ::IceGrid::AdminPrx& adminProxy, const ::Ice::Context& __ctx, const ::Ice::CallbackPtr& __del, const ::Ice::LocalObjectPtr& __cookie = 0)
    {
        return begin_parse(xmlFile, adminProxy, &__ctx, __del, __cookie);
    }

    ::Ice::AsyncResultPtr begin_parse(const ::std::string& xmlFile, const ::IceGrid::AdminPrx& adminProxy, const ::IceGrid::Callback_FileParser_parsePtr& __del, const ::Ice::LocalObjectPtr& __cookie = 0)
    {
        return begin_parse(xmlFile, adminProxy, 0, __del, __cookie);
    }

    ::Ice::AsyncResultPtr begin_parse(const ::std::string& xmlFile, const ::IceGrid::AdminPrx& adminProxy, const ::Ice::Context& __ctx, const ::IceGrid::Callback_FileParser_parsePtr& __del, const ::Ice::LocalObjectPtr& __cookie = 0)
    {
        return begin_parse(xmlFile, adminProxy, &__ctx, __del, __cookie);
    }

    ICE_GRID_API ::IceGrid::ApplicationDescriptor end_parse(const ::Ice::AsyncResultPtr&);
    
private:

    ICE_GRID_API ::IceGrid::ApplicationDescriptor parse(const ::std::string&, const ::IceGrid::AdminPrx&, const ::Ice::Context*);
    ICE_GRID_API ::Ice::AsyncResultPtr begin_parse(const ::std::string&, const ::IceGrid::AdminPrx&, const ::Ice::Context*, const ::IceInternal::CallbackBasePtr&, const ::Ice::LocalObjectPtr& __cookie = 0);
    
public:
    
    ::IceInternal::ProxyHandle<FileParser> ice_context(const ::Ice::Context& __context) const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_context(__context).get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_adapterId(const ::std::string& __id) const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_adapterId(__id).get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_endpoints(const ::Ice::EndpointSeq& __endpoints) const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_endpoints(__endpoints).get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_locatorCacheTimeout(int __timeout) const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_locatorCacheTimeout(__timeout).get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_connectionCached(bool __cached) const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_connectionCached(__cached).get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_endpointSelection(::Ice::EndpointSelectionType __est) const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_endpointSelection(__est).get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_secure(bool __secure) const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_secure(__secure).get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_preferSecure(bool __preferSecure) const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_preferSecure(__preferSecure).get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_router(const ::Ice::RouterPrx& __router) const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_router(__router).get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_locator(const ::Ice::LocatorPrx& __locator) const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_locator(__locator).get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_collocationOptimized(bool __co) const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_collocationOptimized(__co).get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_twoway() const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_twoway().get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_oneway() const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_oneway().get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_batchOneway() const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_batchOneway().get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_datagram() const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_datagram().get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_batchDatagram() const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_batchDatagram().get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_compress(bool __compress) const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_compress(__compress).get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_timeout(int __timeout) const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_timeout(__timeout).get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_connectionId(const ::std::string& __id) const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_connectionId(__id).get());
    }
    
    ::IceInternal::ProxyHandle<FileParser> ice_encodingVersion(const ::Ice::EncodingVersion& __v) const
    {
        return dynamic_cast<FileParser*>(::IceProxy::Ice::Object::ice_encodingVersion(__v).get());
    }
    
    ICE_GRID_API static const ::std::string& ice_staticId();

private: 

    ICE_GRID_API virtual ::IceInternal::Handle< ::IceDelegateM::Ice::Object> __createDelegateM();
    ICE_GRID_API virtual ::IceInternal::Handle< ::IceDelegateD::Ice::Object> __createDelegateD();
    ICE_GRID_API virtual ::IceProxy::Ice::Object* __newInstance() const;
};

}

}

namespace IceDelegate
{

namespace IceGrid
{

class ICE_GRID_API FileParser : virtual public ::IceDelegate::Ice::Object
{
public:

    virtual ::IceGrid::ApplicationDescriptor parse(const ::std::string&, const ::IceGrid::AdminPrx&, const ::Ice::Context*, ::IceInternal::InvocationObserver&) = 0;
};

}

}

namespace IceDelegateM
{

namespace IceGrid
{

class ICE_GRID_API FileParser : virtual public ::IceDelegate::IceGrid::FileParser,
                                virtual public ::IceDelegateM::Ice::Object
{
public:

    virtual ::IceGrid::ApplicationDescriptor parse(const ::std::string&, const ::IceGrid::AdminPrx&, const ::Ice::Context*, ::IceInternal::InvocationObserver&);
};

}

}

namespace IceDelegateD
{

namespace IceGrid
{

class ICE_GRID_API FileParser : virtual public ::IceDelegate::IceGrid::FileParser,
                                virtual public ::IceDelegateD::Ice::Object
{
public:

    virtual ::IceGrid::ApplicationDescriptor parse(const ::std::string&, const ::IceGrid::AdminPrx&, const ::Ice::Context*, ::IceInternal::InvocationObserver&);
};

}

}

namespace IceGrid
{

class ICE_GRID_API FileParser : virtual public ::Ice::Object
{
public:

    typedef FileParserPrx ProxyType;
    typedef FileParserPtr PointerType;

    virtual bool ice_isA(const ::std::string&, const ::Ice::Current& = ::Ice::Current()) const;
    virtual ::std::vector< ::std::string> ice_ids(const ::Ice::Current& = ::Ice::Current()) const;
    virtual const ::std::string& ice_id(const ::Ice::Current& = ::Ice::Current()) const;
    static const ::std::string& ice_staticId();

    virtual ::IceGrid::ApplicationDescriptor parse(const ::std::string&, const ::IceGrid::AdminPrx&, const ::Ice::Current& = ::Ice::Current()) = 0;
    ::Ice::DispatchStatus ___parse(::IceInternal::Incoming&, const ::Ice::Current&);

    virtual ::Ice::DispatchStatus __dispatch(::IceInternal::Incoming&, const ::Ice::Current&);

protected:
    virtual void __writeImpl(::IceInternal::BasicStream*) const;
    virtual void __readImpl(::IceInternal::BasicStream*);
    #ifdef __SUNPRO_CC
    using ::Ice::Object::__writeImpl;
    using ::Ice::Object::__readImpl;
    #endif
};

inline bool operator==(const FileParser& l, const FileParser& r)
{
    return static_cast<const ::Ice::Object&>(l) == static_cast<const ::Ice::Object&>(r);
}

inline bool operator<(const FileParser& l, const FileParser& r)
{
    return static_cast<const ::Ice::Object&>(l) < static_cast<const ::Ice::Object&>(r);
}

}

namespace IceGrid
{

template<class T>
class CallbackNC_FileParser_parse : public Callback_FileParser_parse_Base, public ::IceInternal::TwowayCallbackNC<T>
{
public:

    typedef IceUtil::Handle<T> TPtr;

    typedef void (T::*Exception)(const ::Ice::Exception&);
    typedef void (T::*Sent)(bool);
    typedef void (T::*Response)(const ::IceGrid::ApplicationDescriptor&);

    CallbackNC_FileParser_parse(const TPtr& obj, Response cb, Exception excb, Sent sentcb)
        : ::IceInternal::TwowayCallbackNC<T>(obj, cb != 0, excb, sentcb), response(cb)
    {
    }

    virtual void __completed(const ::Ice::AsyncResultPtr& __result) const
    {
        ::IceGrid::FileParserPrx __proxy = ::IceGrid::FileParserPrx::uncheckedCast(__result->getProxy());
        ::IceGrid::ApplicationDescriptor __ret;
        try
        {
            __ret = __proxy->end_parse(__result);
        }
        catch(::Ice::Exception& ex)
        {
            ::IceInternal::CallbackNC<T>::__exception(__result, ex);
            return;
        }
        if(response)
        {
            (::IceInternal::CallbackNC<T>::callback.get()->*response)(__ret);
        }
    }

    Response response;
};

template<class T> Callback_FileParser_parsePtr
newCallback_FileParser_parse(const IceUtil::Handle<T>& instance, void (T::*cb)(const ::IceGrid::ApplicationDescriptor&), void (T::*excb)(const ::Ice::Exception&), void (T::*sentcb)(bool) = 0)
{
    return new CallbackNC_FileParser_parse<T>(instance, cb, excb, sentcb);
}

template<class T> Callback_FileParser_parsePtr
newCallback_FileParser_parse(T* instance, void (T::*cb)(const ::IceGrid::ApplicationDescriptor&), void (T::*excb)(const ::Ice::Exception&), void (T::*sentcb)(bool) = 0)
{
    return new CallbackNC_FileParser_parse<T>(instance, cb, excb, sentcb);
}

template<class T, typename CT>
class Callback_FileParser_parse : public Callback_FileParser_parse_Base, public ::IceInternal::TwowayCallback<T, CT>
{
public:

    typedef IceUtil::Handle<T> TPtr;

    typedef void (T::*Exception)(const ::Ice::Exception& , const CT&);
    typedef void (T::*Sent)(bool , const CT&);
    typedef void (T::*Response)(const ::IceGrid::ApplicationDescriptor&, const CT&);

    Callback_FileParser_parse(const TPtr& obj, Response cb, Exception excb, Sent sentcb)
        : ::IceInternal::TwowayCallback<T, CT>(obj, cb != 0, excb, sentcb), response(cb)
    {
    }

    virtual void __completed(const ::Ice::AsyncResultPtr& __result) const
    {
        ::IceGrid::FileParserPrx __proxy = ::IceGrid::FileParserPrx::uncheckedCast(__result->getProxy());
        ::IceGrid::ApplicationDescriptor __ret;
        try
        {
            __ret = __proxy->end_parse(__result);
        }
        catch(::Ice::Exception& ex)
        {
            ::IceInternal::Callback<T, CT>::__exception(__result, ex);
            return;
        }
        if(response)
        {
            (::IceInternal::Callback<T, CT>::callback.get()->*response)(__ret, CT::dynamicCast(__result->getCookie()));
        }
    }

    Response response;
};

template<class T, typename CT> Callback_FileParser_parsePtr
newCallback_FileParser_parse(const IceUtil::Handle<T>& instance, void (T::*cb)(const ::IceGrid::ApplicationDescriptor&, const CT&), void (T::*excb)(const ::Ice::Exception&, const CT&), void (T::*sentcb)(bool, const CT&) = 0)
{
    return new Callback_FileParser_parse<T, CT>(instance, cb, excb, sentcb);
}

template<class T, typename CT> Callback_FileParser_parsePtr
newCallback_FileParser_parse(T* instance, void (T::*cb)(const ::IceGrid::ApplicationDescriptor&, const CT&), void (T::*excb)(const ::Ice::Exception&, const CT&), void (T::*sentcb)(bool, const CT&) = 0)
{
    return new Callback_FileParser_parse<T, CT>(instance, cb, excb, sentcb);
}

}

#endif
